'use strict';


interface Input {
        tiles: {[key: string]: {file: string}};
        collision: string[];
        layers: string[][][];
}

export default class MapData {
        tiles: {[key: string]: {file: string}};
        public collision: string[];
        public layers: string[][][];

        constructor(data: Input) {
                this.tiles = data.tiles;
                this.collision = data.collision;
                this.layers = data.layers;
        }
}
